Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.session
Class GenAsyncServiceImplementationFactory

    java.lang.Object
      be.ehealth.technicalconnector.session.ImplementationClassFactory
          be.ehealth.businessconnector.genericasync.session.GenAsyncServiceImplementationFactory

    public class GenAsyncServiceImplementationFactory

extends ImplementationClassFactory

Implementation for the `GenAsyncSessionServiceFactory`

Constructor Summary
`GenAsyncServiceImplementationFactory()`

Method Summary
`
`<T> T`
` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, String... additionalParameters)`

Methods inherited from class be.ehealth.technicalconnector.session.ImplementationClassFactory
`createImplementationClass`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenAsyncServiceImplementationFactory

    public GenAsyncServiceImplementationFactory()

Method Detail

### createImplementationClass

    public <T> T createImplementationClass(Class<T> clazz,
                                           SessionValidator sessionValidator,
                                           EhealthReplyValidator replyValidator,
                                           String... additionalParameters)
                                throws GenAsyncBusinessConnectorException,
                                       TechnicalConnectorException

  Overrides:
    `createImplementationClass` in class `ImplementationClassFactory`
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`
  See Also:
    `ImplementationClassFactory.createImplementationClass(Class, SessionValidator, EhealthReplyValidator, String...)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.